//------------------------------------------------------------
// $Id: objectArray.h,v 1.1.1.1 1999/11/25 06:26:09 yamauchi Exp $
//------------------------------------------------------------
// 	object data container.h
//	(M\pi)^2 
//	(M\pi)^2 data file is derived mgf data format
//
//	mpi2 data を OpenGL を用いて表示する
//	Plex というクラスが info にあるのだが、ヘッダがみつからないた
//	めに簡易的なものを作成した。 
//	1996/6/30
//	implementation in objectDatas.cc
//	Copyright (C) 1996--1998 YAMAUCHI Hitoshi 山内 斉
// ここでは、物体の一次元の array としてある。空間との関係はない。
//------------------------------------------------------------
#ifndef _objectArray_h
#define _objectArray_h 1

#include "object.h"

class objectsArrayClass {
protected:
    int mLen;
    objBaseClass** mObjArray;

public:
    objectsArrayClass(void) : mLen(0), mObjArray(NULL) {}
    ~objectsArrayClass(void);
    void init(void);
    void setLength(int aLen);
    int  getLength(void) const 	{ return(this->mLen);	}
    void set(objBaseClass* pObj, int idx);
    objBaseClass *get(int anIdx);
    void add(objBaseClass* pObj);
};

#endif				// #ifdef _objectArray_h
